tools

# Procedural File: lamdaemonTest.php

Source Location: /templates/tests/lamdaemonTest.php

## Page Details:

Tests the lamdaemon script.

#### Tags:

author: | Roland Gruber
author: | Thomas Manninger

#### Includes:

include('../main_footer.php') [line 103]
include('../main_header.php') [line 45]
include_once("../../lib/security.inc") [line 33]
security functions
include_once("../../lib/config.inc") [line 35]
access to configuration options

### lamRunLamdaemonTestSuite [line 170]

`void lamRunLamdaemonTestSuite( String $serverName, String $serverTitle, boolean $testQuota, htmlTable $container)`

Runs all tests for a given server.

#### Parameters

String | $serverName | server ID
String | $serverTitle | server name
boolean | $testQuota | true, if Quotas should be checked
htmlTable | $container | container for HTML output

[ Top ]

### lamTestConnectSSH [line 289]

`object handle lamTestConnectSSH( String $server)`

Connects to the given SSH server.

#### Parameters

String | $server | server name (e.g. localhost or localhost,1234)

[ Top ]

### lamTestLamdaemon [line 116]

`boolean lamTestLamdaemon( string $command, boolean $stopTest, connection $handle, string $testText, htmlTable $container)`

Runs a test case of lamdaemon.

#### Tags:

return: | true, if errors occured

#### Parameters

string | $command | test command
boolean | $stopTest | specifies if test should be run
connection | $handle | SSH connection
string | $testText | describing text
htmlTable | $container | container for HTML output

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:22 +0200 by phpDocumentor 1.4.1